#ifndef C_SHD_POST_COL_DODGE_MASKED_H__
#define C_SHD_POST_COL_DODGE_MASKED_H__

#include "../cShader_CG.h"


class cShdPostColDodgeMasked: public cShader_CG {
public:
	cShdPostColDodgeMasked( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof );

public:
	void init_parameters() {}

protected:
	void enable_parameters() {}
	void disable_parameters() {}
};


//////////////////////////////////////////////////////////////////////////

inline
cShdPostColDodgeMasked::cShdPostColDodgeMasked( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof ) \
	: cShader_CG(_context, _vprof, _fprof)
{
	load_from_files( "cg_post_col_dodge_masked_vert.cg", "cg_post_col_dodge_masked_frag.cg" );

	return;
}


#endif
